Name:           wp_tray
Version:        0.5.3
Release:        4%{?dist}
Summary:        A wallpaper-changing applet for GNOME

Group:          Amusements/Graphics
License:        GPL
URL:            http://planetearthworm.com/projects/wp_tray/
Source0:        http://planetearthworm.com/projects/wp_tray/files/%{name}-%{version}.tar.gz
Patch0:         wp_tray-0.5.3-gnomewp.patch
Patch1:         wp_tray-0.5.3-notify.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext libglademm24-devel libgnomecanvasmm26-devel
BuildRequires:  gconfmm26-devel libgnomemm26-devel libgnomeuimm26-devel
BuildRequires:  gnome-panel-devel boost-devel
BuildRequires:  libxml++-devel libnotify-devel

%description
Wallpaper Tray is a GNOME applet used for changing your wallpaper.

%prep
%setup -q
%patch0 -p1 -b .gnomewp
%patch1 -p1 -b .notify

%build
%configure --with-boostfilesystem=%{_libdir}/libboost_filesystem.so \
  --with-boostregex=%{_libdir}/libboost_regex.so
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/wp_tray.schemas > /dev/null  || :
killall -HUP gconfd-2 &>/dev/null || :

%postun
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/wp_tray.schemas >/dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/wp_tray.schemas > /dev/null || :
  killall -HUP gconfd-2 &>/dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_libdir}/bonobo/servers/*.server
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Wed May  9 2007 Denis Leroy <denis@poolshark.org> - 0.5.3-4
- Added patch to make change lib-notifications optional
- Cleaned up gnomewp patch

* Tue May  8 2007 Denis Leroy <denis@poolshark.org> - 0.5.3-3
- Added patch to make gnome wp addition optional, minor glade fixes

* Fri Dec  8 2006 Denis Leroy <denis@poolshark.org> - 0.5.3
- Update to 0.5.3, patches integrated upstream
- Added libxml++ and libnotify dependencies

* Mon Sep 11 2006 Denis Leroy <denis@poolshark.org> - 0.5.1-4
- Added patches to fix many bugs (see bug 205869)

* Sun Sep  3 2006 Denis Leroy <denis@poolshark.org> - 0.5.1-3
- FE6 Rebuild

* Mon Feb 13 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.1-2
- Rebuild for Fedora Extras 5

* Tue Jan 17 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.5.1-1
- Upstream update
- Merge Chris Chabot's spec file changes

* Mon Jan  2 2006 Ignacio Vazquez-Abrams <ivazquez@ivazquez.net> 0.4.6-1
- Initial RPM release
